{% extends 'baseDashboard.html.twig' %}

{% block title %}Realization index{% endblock %}

{% block body %}

<div class="page-wrapper compact-wrapper" id="pageWrapper">
		{% include 'dashboard/includes/_header.html.twig' %}
		<!-- Page Body Start-->
		<div class="page-body-wrapper">
			<!-- Page Sidebar Start-->
			{% include 'dashboard/includes/_sidebar.html.twig' %}
			<div class="page-body">
          <!-- Container-fluid starts-->
          <div class="container-fluid basic_table">
            <div class="row">
              <div class="col-sm-12">
                <div class="card">
                  <div class="card-header">
                    <h4>Mes réalisations</h4>
                  </div>
                    {% include 'dashboard/includes/_flashMessage.html.twig' %}
                  <div class="table-responsive theme-scrollbar">
                    <table class="table mb-2">
                      <thead>
                        <tr class="border-bottom-primary">
                       

                          <th scope="col">Identifiant</th>
                           <th scope="col">Première Image</th>
                          <th scope="col">Titre</th>
                          <th scope="col">Outil Utilisé</th>
                          <th scope="col">Description Courte</th>
                         
                          <th scope="col">Actions</th>
                        </tr>
                      </thead>
                      <tbody>
                   
                        
                            {% for realization in realizations %}
                                  <tr class="border-bottom-secondary">
                                      <td>{{ loop.index }}</td>
                                     
                                          {% if realization.firstImage is not null and realization.firstImage != '' %}
                                                  <td> <img src="{{ asset('uploads/realization/' ~ realization.firstImage ) }}" height="50px" width="50" alt="Image"></td>
                                              {% else %}
                                                <td>No image available </td>
                                          {% endif %}   
                                     
                                     </td>
                                    <td>{{ realization.title }}</td>
                                    <td>{{ realization.toolUsed }}</td>
                                    <td>{{ realization.shortDescription }}</td>
                                    <td class="d-flex">
                                        <a class="btn btn-primary" href="{{ path('app_realization_show', {'id': realization.id}) }}">show</a>
                                        <a class="btn btn-secondary"  href="{{ path('app_realization_edit', {'id': realization.id}) }}">edit</a>
                                    </td>
                                </tr>
                            {% else %}
                                <tr>
                                    <td  colspan="7">no records found</td>
                                </tr>
                            {% endfor %}
                    
                      </tbody>
                    </table   >
                        <a class="btn btn-primary" href="{{ path('app_realization_new') }}">Create new</a>
                  </div>
                </div>
              </div>
            
         
            </div>
          </div>
          <!-- Container-fluid Ends-->
        </div>
	   	</div>
		<!-- Container-fluid Ends-->
	</div>










   




{% endblock %}
